<?php
namespace Modules\Admin\DocumentSeries;

use App\Mvc\View\Utils\Types\ListingColumns;
use App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{

	/**
	 * Set th for listing columns
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()

			->append(
				ListingColumn::create('code')
					->setSortable('ASC')
			)

			->append(
				ListingColumn::create('interval')
			)

			->append(
				ListingColumn::create('documentTypes')
			)

			->append(
				ListingColumn::create('idOffice')
			)

			->append(
				ListingColumn::create('status')
			)

			->append(
				ListingColumn::create('addTime')
					->setSortable('DESC')
					->setType('datetime')
			)

			->loadLabels($this->lang['index'])
			->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}